mysql_num_fields(3)

  Name

mysql_num_fields - Returns number of fields in a result set

  Synopsis

    #include <mysql.h>
    unsigned int mysql_num_fields(MYSQL_RES * );

  Description

Returns number of fields in a specified result set.

  Parameter

•   MYSQL RES * - A result set identifier returned by mysql_store_result(3) or mysql_use_result(3).

  Return value

Returns number of fields.

  See also

•   mysql_fetch_field(3)

•   mysql_field_count(3)